From 1d0f8ff95a28a51f58f22881ecd3395cba2803e3 Mon Sep 17 00:00:00 2001
From: Chris Lamb <lamby@debian.org>
Date: Sat, 25 Jul 2009 19:09:43 +0200
Subject: [PATCH 6/7] Don't try and run apt-cdrom for vfat "CD-ROMs"

---
 packages/apt-setup/debian/changelog   |    1 +
 packages/apt-setup/generators/40cdrom |   13 +++++++++----
 2 files changed, 10 insertions(+), 4 deletions(-)

diff --git a/packages/apt-setup/debian/changelog b/packages/apt-setup/debian/changelog
index 0117000..1980ebc 100644
--- a/packages/apt-setup/debian/changelog
+++ b/packages/apt-setup/debian/changelog
@@ -7,6 +7,7 @@ apt-setup (1:0.43) UNRELEASED; urgency=low
   * Use cdrom-detect/cdrom_fs when remounting the CD to ensure that we do so
     using the same filesystem. Patch by Colin Watson, merged back from Ubuntu.
     Requires cdrom-detect >= 1.32.
+  * Don't try and run apt-cdrom for non-ISO9660 "CD-ROMs".
 
  -- Colin Watson <cjwatson@debian.org>  Thu, 13 Aug 2009 14:00:28 +0100
 
diff --git a/packages/apt-setup/generators/40cdrom b/packages/apt-setup/generators/40cdrom
index 09bba76..ad6ddd1 100755
--- a/packages/apt-setup/generators/40cdrom
+++ b/packages/apt-setup/generators/40cdrom
@@ -9,12 +9,17 @@ if [ ! -e /cdrom/.disk/base_installable ]; then
 	exit 0
 fi
 
+fs=iso9660
+if db_get cdrom-detect/cdrom_fs && [ "$RET" ]; then
+	fs="$RET"
+fi
+
+if [ "$fs" != "iso9660" ]; then
+	exit 0
+fi
+
 remount_cd() {
 	if [ "$ROOT" ] && [ ! -d /hd-media ]; then
-		fs=iso9660
-		if db_get cdrom-detect/cdrom_fs && [ "$RET" ]; then
-			fs="$RET"
-		fi
 		db_get cdrom-detect/cdrom_device
 		$logoutput mount -t "$fs" -o ro,exec $RET /cdrom || true
 	fi
-- 
1.6.3.3

